# Class Task

java.lang.Object
com.independentsoft.pst.Item
com.independentsoft.pst.Task

public class Task extends Item
The Class Task.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getActualWork()`
  Gets the actual work.
  `Date`
  `getCommonEndTime()`
  Gets the common end time.
  `Date`
  `getCommonStartTime()`
  Gets the common start time.
  `List<String>`
  `getCompanies()`
  Gets the companies.
  `Date`
  `getDateCompleted()`
  Gets the date completed.
  `TaskDelegationState`
  `getDelegationState()`
  Gets the delegation state.
  `String`
  `getDelegator()`
  Gets the delegator.
  `Date`
  `getDueDate()`
  Gets the due date.
  `Date`
  `getFlagDueBy()`
  Gets the flag due by.
  `String`
  `getOwner()`
  Gets the owner.
  `TaskOwnership`
  `getOwnership()`
  Gets the ownership.
  `double`
  `getPercentComplete()`
  Gets the percent complete.
  `String`
  `getRecurrencePatternDescription()`
  Gets the recurrence pattern description.
  `long`
  `getReminderMinutesBeforeStart()`
  Gets the reminder minutes before start.
  `boolean`
  `getReminderOverrideDefault()`
  Gets the reminder override default.
  `boolean`
  `getReminderPlaySound()`
  Gets the reminder play sound.
  `String`
  `getReminderSoundFile()`
  Gets the reminder sound file.
  `Date`
  `getReminderTime()`
  Gets the reminder time.
  `Date`
  `getStartDate()`
  Gets the start date.
  `TaskStatus`
  `getStatus()`
  Gets the status.
  `long`
  `getTotalWork()`
  Gets the total work.
  `boolean`
  `isAllDayEvent()`
  Checks if is all day event.
  `boolean`
  `isComplete()`
  Checks if is complete.
  `boolean`
  `isPrivate()`
  Checks if is private.
  `boolean`
  `isRecurring()`
  Checks if is recurring.
  `boolean`
  `isReminderSet()`
  Checks if is reminder set.
  `boolean`
  `isTeamTask()`
  Checks if is team task.

  ### Methods inherited from class com.independentsoft.pst.Item

  `getAttachments, getBillingInformation, getBody, getBodyHtml, getBodyHtmlText, getBodyRtf, getCategories, getClientSubmitTime, getCodePage, getConversationIndex, getConversationTopic, getCreationTime, getCreatorName, getDisableFullFidelity, getDisplayBcc, getDisplayCc, getDisplayTo, getEncoding, getEntryId, getExtendedProperties, getFlagIcon, getFlagStatus, getIconIndex, getId, getImportance, getInReplyTo, getInternetCodePage, getInternetMessageId, getInternetReferences, getKeywords, getLastModificationTime, getLastModifierName, getLastVerbExecuted, getLastVerbExecutionTime, getMessageClass, getMessageDeliveryTime, getMessageFile, getMessageFile, getMessageFlags, getMileage, getNormalizedSubject, getObjectType, getOriginalDisplayTo, getOutlookInternalVersion, getOutlookVersion, getParentId, getPriority, getProviderSubmitTime, getReceivedByAddressType, getReceivedByEmailAddress, getReceivedByEntryId, getReceivedByName, getReceivedBySearchKey, getReceivedRepresentingAddressType, getReceivedRepresentingEmailAddress, getReceivedRepresentingEntryId, getReceivedRepresentingName, getReceivedRepresentingSearchKey, getRecipients, getReplyTo, getReportText, getReportTime, getRtfCompressed, getRtfInSync, getSearchKey, getSenderAddressType, getSenderEmailAddress, getSenderEntryId, getSenderName, getSenderSearchKey, getSensitivity, getSentRepresentingAddressType, getSentRepresentingEmailAddress, getSentRepresentingEntryId, getSentRepresentingName, getSentRepresentingSearchKey, getSize, getSubject, getSubjectPrefix, getTable, getTransportMessageHeaders, hasAttachment, isEmbedded, isHidden, isReadOnly, isSystem, save, save, save, save, save, save`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getReminderSoundFile

    public String getReminderSoundFile()
    Gets the reminder sound file.
    Returns:
      the reminder sound file

  - ### isPrivate

    public boolean isPrivate()
    Checks if is private.
    Returns:
      true, if is private

  - ### getReminderOverrideDefault

    public boolean getReminderOverrideDefault()
    Gets the reminder override default.
    Returns:
      the reminder override default

  - ### getReminderPlaySound

    public boolean getReminderPlaySound()
    Gets the reminder play sound.
    Returns:
      the reminder play sound

  - ### getOwner

    public String getOwner()
    Gets the owner.
    Returns:
      the owner

  - ### getDelegator

    public String getDelegator()
    Gets the delegator.
    Returns:
      the delegator

  - ### getPercentComplete

    public double getPercentComplete()
    Gets the percent complete.
    Returns:
      the percent complete

  - ### getActualWork

    public long getActualWork()
    Gets the actual work.
    Returns:
      the actual work

  - ### getTotalWork

    public long getTotalWork()
    Gets the total work.
    Returns:
      the total work

  - ### isTeamTask

    public boolean isTeamTask()
    Checks if is team task.
    Returns:
      true, if is team task

  - ### isComplete

    public boolean isComplete()
    Checks if is complete.
    Returns:
      true, if is complete

  - ### isRecurring

    public boolean isRecurring()
    Checks if is recurring.
    Returns:
      true, if is recurring

  - ### isAllDayEvent

    public boolean isAllDayEvent()
    Checks if is all day event.
    Returns:
      true, if is all day event

  - ### isReminderSet

    public boolean isReminderSet()
    Checks if is reminder set.
    Returns:
      true, if is reminder set

  - ### getReminderTime

    public Date getReminderTime()
    Gets the reminder time.
    Returns:
      the reminder time

  - ### getReminderMinutesBeforeStart

    public long getReminderMinutesBeforeStart()
    Gets the reminder minutes before start.
    Returns:
      the reminder minutes before start

  - ### getStartDate

    public Date getStartDate()
    Gets the start date.
    Returns:
      the start date

  - ### getDueDate

    public Date getDueDate()
    Gets the due date.
    Returns:
      the due date

  - ### getDateCompleted

    public Date getDateCompleted()
    Gets the date completed.
    Returns:
      the date completed

  - ### getStatus

    public TaskStatus getStatus()
    Gets the status.
    Returns:
      the status

  - ### getOwnership

    public TaskOwnership getOwnership()
    Gets the ownership.
    Returns:
      the ownership

  - ### getDelegationState

    public TaskDelegationState getDelegationState()
    Gets the delegation state.
    Returns:
      the delegation state

  - ### getCommonStartTime

    public Date getCommonStartTime()
    Gets the common start time.
    Returns:
      the common start time

  - ### getCommonEndTime

    public Date getCommonEndTime()
    Gets the common end time.
    Returns:
      the common end time

  - ### getFlagDueBy

    public Date getFlagDueBy()
    Gets the flag due by.
    Returns:
      the flag due by

  - ### getCompanies

    public List<String> getCompanies()
    Gets the companies.
    Returns:
      the companies

  - ### getRecurrencePatternDescription

    public String getRecurrencePatternDescription()
    Gets the recurrence pattern description.
    Returns:
      the recurrence pattern description